ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Coercion.Opt

Synopsis

- optCoercion :: OptCoercionOpts -> Subst -> Coercion -> NormalCo
- checkAxInstCo :: Coercion -> Maybe CoAxBranch
- newtype OptCoercionOpts = OptCoercionOpts {
  - optCoercionEnabled :: Bool
  }

# Documentation

optCoercion :: OptCoercionOpts -> Subst -> Coercion -> NormalCo Source #

optCoercion applies a substitution to a coercion, *and* optimises it to reduce its size

checkAxInstCo :: Coercion -> Maybe CoAxBranch Source #

Check to make sure that an AxInstCo is internally consistent. Returns the conflicting branch, if it exists See Note [Conflict checking with AxiomInstCo]

newtype OptCoercionOpts Source #

Coercion optimisation options

Constructors

OptCoercionOpts |

Fields

- optCoercionEnabled :: Bool

  Enable coercion optimisation (reduce its size)